/****************************************************************************/
/* This module is based on xeyes, but has been siginificantly modified      */
/* by INOUE Seiichiro (inoue@ainet.or.jp)			                        */
/****************************************************************************/
/*
* $XConsortium: EyesP.h,v 1.9 90/12/01 13:04:43 rws Exp $
*/

#ifndef _EyesP_h
#define _EyesP_h

#include "Eyes.h"
#include <X11/CoreP.h>
#include "transform.h"


/* Animation data */
typedef struct {
	Pixmap		pix;
	Pixmap		mask;
	XpmAttributes	att;
	GC			gc;
	Transform	t;
	TPoint		pos;
	TPoint		old_pos;
	TAnimArea	taArea;
	int			animflag;
} AnimInfo;

/* New fields for the eyes widget instance record */
typedef struct {
	int		backing_store;	/* backing store variety */
	int		update;		/* current timeout index */
	XtIntervalId	interval_id;
	GC			baseGC;
	int			num_anim;
	TPoint		mouse;		/* old mouse position */
	AnimInfo	*anim;
} EyesPart;

/* Full instance record declaration */
typedef struct _EyesRec {
	CorePart core;
	EyesPart eyes;
} EyesRec;

/* New fields for the Eyes widget class record */
typedef struct {int dummy;} EyesClassPart;

/* Full class record declaration. */
typedef struct _EyesClassRec {
	CoreClassPart core_class;
	EyesClassPart eyes_class;
} EyesClassRec;

/* Class pointer. */
extern EyesClassRec eyesClassRec;

#endif /* _EyesP_h */
